# List production methods for a product (/docs/api-reference/production-methods/ProductionMethodsController_findAllForProduct)

`GET /api/factories/{factoryId}/products/{productId}/production-methods`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

Returns all active methods associated with the given product.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory slug. |
| `productId` | path | yes | string | Product id. |

## Responses

### 200: List of production methods.